Mac OS X Leopard

No Mac OS X Leopard for me. I won’t be getting the new version of Mac OS X mainly due to the fact that I am still using an old Mac G4 (Quicksilver 2001). Even though I have a 1.2 Ghz G4 card installed the requirements are still on the minimum side. I don’t really need the new operating system, especially since I don’t own an Intel Mac.

I will seriously consider an new 24″ iMac in Jan 2008 after MacWorld and of course it will come with 10.5 Leopard. I am a die hard Mac user and don’t see the need to upgrade every six months. I do not consider my self an early adopter when it comes to most products mainly due to financial reasons.

Leave a Reply